// Code generated by protoc-gen-go. DO NOT EDIT.
// source: iam.proto

package grpc_iam_v1

import (
	context "context"
	fmt "fmt"
	proto "github.com/golang/protobuf/proto"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
	math "math"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion3 // please upgrade the proto package

type NewEnforcerRequest struct {
	ModelText            string   `protobuf:"bytes,1,opt,name=modelText,proto3" json:"modelText,omitempty"`
	AdapterHandle        int32    `protobuf:"varint,2,opt,name=adapterHandle,proto3" json:"adapterHandle,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *NewEnforcerRequest) Reset()         { *m = NewEnforcerRequest{} }
func (m *NewEnforcerRequest) String() string { return proto.CompactTextString(m) }
func (*NewEnforcerRequest) ProtoMessage()    {}
func (*NewEnforcerRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_0a2c201915207782, []int{0}
}

func (m *NewEnforcerRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_NewEnforcerRequest.Unmarshal(m, b)
}
func (m *NewEnforcerRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_NewEnforcerRequest.Marshal(b, m, deterministic)
}
func (m *NewEnforcerRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_NewEnforcerRequest.Merge(m, src)
}
func (m *NewEnforcerRequest) XXX_Size() int {
	return xxx_messageInfo_NewEnforcerRequest.Size(m)
}
func (m *NewEnforcerRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_NewEnforcerRequest.DiscardUnknown(m)
}

var xxx_messageInfo_NewEnforcerRequest proto.InternalMessageInfo

func (m *NewEnforcerRequest) GetModelText() string {
	if m != nil {
		return m.ModelText
	}
	return ""
}

func (m *NewEnforcerRequest) GetAdapterHandle() int32 {
	if m != nil {
		return m.AdapterHandle
	}
	return 0
}

type NewEnforcerReply struct {
	Handler              int32    `protobuf:"varint,1,opt,name=handler,proto3" json:"handler,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *NewEnforcerReply) Reset()         { *m = NewEnforcerReply{} }
func (m *NewEnforcerReply) String() string { return proto.CompactTextString(m) }
func (*NewEnforcerReply) ProtoMessage()    {}
func (*NewEnforcerReply) Descriptor() ([]byte, []int) {
	return fileDescriptor_0a2c201915207782, []int{1}
}

func (m *NewEnforcerReply) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_NewEnforcerReply.Unmarshal(m, b)
}
func (m *NewEnforcerReply) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_NewEnforcerReply.Marshal(b, m, deterministic)
}
func (m *NewEnforcerReply) XXX_Merge(src proto.Message) {
	xxx_messageInfo_NewEnforcerReply.Merge(m, src)
}
func (m *NewEnforcerReply) XXX_Size() int {
	return xxx_messageInfo_NewEnforcerReply.Size(m)
}
func (m *NewEnforcerReply) XXX_DiscardUnknown() {
	xxx_messageInfo_NewEnforcerReply.DiscardUnknown(m)
}

var xxx_messageInfo_NewEnforcerReply proto.InternalMessageInfo

func (m *NewEnforcerReply) GetHandler() int32 {
	if m != nil {
		return m.Handler
	}
	return 0
}

type NewAdapterRequest struct {
	AdapterName          string   `protobuf:"bytes,1,opt,name=adapterName,proto3" json:"adapterName,omitempty"`
	DriverName           string   `protobuf:"bytes,2,opt,name=driverName,proto3" json:"driverName,omitempty"`
	ConnectString        string   `protobuf:"bytes,3,opt,name=connectString,proto3" json:"connectString,omitempty"`
	DbSpecified          bool     `protobuf:"varint,4,opt,name=dbSpecified,proto3" json:"dbSpecified,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *NewAdapterRequest) Reset()         { *m = NewAdapterRequest{} }
func (m *NewAdapterRequest) String() string { return proto.CompactTextString(m) }
func (*NewAdapterRequest) ProtoMessage()    {}
func (*NewAdapterRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_0a2c201915207782, []int{2}
}

func (m *NewAdapterRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_NewAdapterRequest.Unmarshal(m, b)
}
func (m *NewAdapterRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_NewAdapterRequest.Marshal(b, m, deterministic)
}
func (m *NewAdapterRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_NewAdapterRequest.Merge(m, src)
}
func (m *NewAdapterRequest) XXX_Size() int {
	return xxx_messageInfo_NewAdapterRequest.Size(m)
}
func (m *NewAdapterRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_NewAdapterRequest.DiscardUnknown(m)
}

var xxx_messageInfo_NewAdapterRequest proto.InternalMessageInfo

func (m *NewAdapterRequest) GetAdapterName() string {
	if m != nil {
		return m.AdapterName
	}
	return ""
}

func (m *NewAdapterRequest) GetDriverName() string {
	if m != nil {
		return m.DriverName
	}
	return ""
}

func (m *NewAdapterRequest) GetConnectString() string {
	if m != nil {
		return m.ConnectString
	}
	return ""
}

func (m *NewAdapterRequest) GetDbSpecified() bool {
	if m != nil {
		return m.DbSpecified
	}
	return false
}

type NewAdapterReply struct {
	Handler              int32    `protobuf:"varint,1,opt,name=handler,proto3" json:"handler,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *NewAdapterReply) Reset()         { *m = NewAdapterReply{} }
func (m *NewAdapterReply) String() string { return proto.CompactTextString(m) }
func (*NewAdapterReply) ProtoMessage()    {}
func (*NewAdapterReply) Descriptor() ([]byte, []int) {
	return fileDescriptor_0a2c201915207782, []int{3}
}

func (m *NewAdapterReply) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_NewAdapterReply.Unmarshal(m, b)
}
func (m *NewAdapterReply) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_NewAdapterReply.Marshal(b, m, deterministic)
}
func (m *NewAdapterReply) XXX_Merge(src proto.Message) {
	xxx_messageInfo_NewAdapterReply.Merge(m, src)
}
func (m *NewAdapterReply) XXX_Size() int {
	return xxx_messageInfo_NewAdapterReply.Size(m)
}
func (m *NewAdapterReply) XXX_DiscardUnknown() {
	xxx_messageInfo_NewAdapterReply.DiscardUnknown(m)
}

var xxx_messageInfo_NewAdapterReply proto.InternalMessageInfo

func (m *NewAdapterReply) GetHandler() int32 {
	if m != nil {
		return m.Handler
	}
	return 0
}

type EnforceRequest struct {
	EnforcerHandler      int32    `protobuf:"varint,1,opt,name=enforcerHandler,proto3" json:"enforcerHandler,omitempty"`
	Params               []string `protobuf:"bytes,2,rep,name=params,proto3" json:"params,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *EnforceRequest) Reset()         { *m = EnforceRequest{} }
func (m *EnforceRequest) String() string { return proto.CompactTextString(m) }
func (*EnforceRequest) ProtoMessage()    {}
func (*EnforceRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_0a2c201915207782, []int{4}
}

func (m *EnforceRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_EnforceRequest.Unmarshal(m, b)
}
func (m *EnforceRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_EnforceRequest.Marshal(b, m, deterministic)
}
func (m *EnforceRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_EnforceRequest.Merge(m, src)
}
func (m *EnforceRequest) XXX_Size() int {
	return xxx_messageInfo_EnforceRequest.Size(m)
}
func (m *EnforceRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_EnforceRequest.DiscardUnknown(m)
}

var xxx_messageInfo_EnforceRequest proto.InternalMessageInfo

func (m *EnforceRequest) GetEnforcerHandler() int32 {
	if m != nil {
		return m.EnforcerHandler
	}
	return 0
}

func (m *EnforceRequest) GetParams() []string {
	if m != nil {
		return m.Params
	}
	return nil
}

type BoolReply struct {
	Res                  bool     `protobuf:"varint,1,opt,name=res,proto3" json:"res,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *BoolReply) Reset()         { *m = BoolReply{} }
func (m *BoolReply) String() string { return proto.CompactTextString(m) }
func (*BoolReply) ProtoMessage()    {}
func (*BoolReply) Descriptor() ([]byte, []int) {
	return fileDescriptor_0a2c201915207782, []int{5}
}

func (m *BoolReply) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_BoolReply.Unmarshal(m, b)
}
func (m *BoolReply) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_BoolReply.Marshal(b, m, deterministic)
}
func (m *BoolReply) XXX_Merge(src proto.Message) {
	xxx_messageInfo_BoolReply.Merge(m, src)
}
func (m *BoolReply) XXX_Size() int {
	return xxx_messageInfo_BoolReply.Size(m)
}
func (m *BoolReply) XXX_DiscardUnknown() {
	xxx_messageInfo_BoolReply.DiscardUnknown(m)
}

var xxx_messageInfo_BoolReply proto.InternalMessageInfo

func (m *BoolReply) GetRes() bool {
	if m != nil {
		return m.Res
	}
	return false
}

type EmptyRequest struct {
	Handler              int32    `protobuf:"varint,1,opt,name=handler,proto3" json:"handler,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *EmptyRequest) Reset()         { *m = EmptyRequest{} }
func (m *EmptyRequest) String() string { return proto.CompactTextString(m) }
func (*EmptyRequest) ProtoMessage()    {}
func (*EmptyRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_0a2c201915207782, []int{6}
}

func (m *EmptyRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_EmptyRequest.Unmarshal(m, b)
}
func (m *EmptyRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_EmptyRequest.Marshal(b, m, deterministic)
}
func (m *EmptyRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_EmptyRequest.Merge(m, src)
}
func (m *EmptyRequest) XXX_Size() int {
	return xxx_messageInfo_EmptyRequest.Size(m)
}
func (m *EmptyRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_EmptyRequest.DiscardUnknown(m)
}

var xxx_messageInfo_EmptyRequest proto.InternalMessageInfo

func (m *EmptyRequest) GetHandler() int32 {
	if m != nil {
		return m.Handler
	}
	return 0
}

type EmptyReply struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *EmptyReply) Reset()         { *m = EmptyReply{} }
func (m *EmptyReply) String() string { return proto.CompactTextString(m) }
func (*EmptyReply) ProtoMessage()    {}
func (*EmptyReply) Descriptor() ([]byte, []int) {
	return fileDescriptor_0a2c201915207782, []int{7}
}

func (m *EmptyReply) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_EmptyReply.Unmarshal(m, b)
}
func (m *EmptyReply) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_EmptyReply.Marshal(b, m, deterministic)
}
func (m *EmptyReply) XXX_Merge(src proto.Message) {
	xxx_messageInfo_EmptyReply.Merge(m, src)
}
func (m *EmptyReply) XXX_Size() int {
	return xxx_messageInfo_EmptyReply.Size(m)
}
func (m *EmptyReply) XXX_DiscardUnknown() {
	xxx_messageInfo_EmptyReply.DiscardUnknown(m)
}

var xxx_messageInfo_EmptyReply proto.InternalMessageInfo

type PolicyRequest struct {
	EnforcerHandler      int32    `protobuf:"varint,1,opt,name=enforcerHandler,proto3" json:"enforcerHandler,omitempty"`
	PType                string   `protobuf:"bytes,2,opt,name=pType,proto3" json:"pType,omitempty"`
	Params               []string `protobuf:"bytes,3,rep,name=params,proto3" json:"params,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *PolicyRequest) Reset()         { *m = PolicyRequest{} }
func (m *PolicyRequest) String() string { return proto.CompactTextString(m) }
func (*PolicyRequest) ProtoMessage()    {}
func (*PolicyRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_0a2c201915207782, []int{8}
}

func (m *PolicyRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_PolicyRequest.Unmarshal(m, b)
}
func (m *PolicyRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_PolicyRequest.Marshal(b, m, deterministic)
}
func (m *PolicyRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_PolicyRequest.Merge(m, src)
}
func (m *PolicyRequest) XXX_Size() int {
	return xxx_messageInfo_PolicyRequest.Size(m)
}
func (m *PolicyRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_PolicyRequest.DiscardUnknown(m)
}

var xxx_messageInfo_PolicyRequest proto.InternalMessageInfo

func (m *PolicyRequest) GetEnforcerHandler() int32 {
	if m != nil {
		return m.EnforcerHandler
	}
	return 0
}

func (m *PolicyRequest) GetPType() string {
	if m != nil {
		return m.PType
	}
	return ""
}

func (m *PolicyRequest) GetParams() []string {
	if m != nil {
		return m.Params
	}
	return nil
}

type SimpleGetRequest struct {
	EnforcerHandler      int32    `protobuf:"varint,1,opt,name=enforcerHandler,proto3" json:"enforcerHandler,omitempty"`
	PType                string   `protobuf:"bytes,2,opt,name=pType,proto3" json:"pType,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *SimpleGetRequest) Reset()         { *m = SimpleGetRequest{} }
func (m *SimpleGetRequest) String() string { return proto.CompactTextString(m) }
func (*SimpleGetRequest) ProtoMessage()    {}
func (*SimpleGetRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_0a2c201915207782, []int{9}
}

func (m *SimpleGetRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_SimpleGetRequest.Unmarshal(m, b)
}
func (m *SimpleGetRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_SimpleGetRequest.Marshal(b, m, deterministic)
}
func (m *SimpleGetRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_SimpleGetRequest.Merge(m, src)
}
func (m *SimpleGetRequest) XXX_Size() int {
	return xxx_messageInfo_SimpleGetRequest.Size(m)
}
func (m *SimpleGetRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_SimpleGetRequest.DiscardUnknown(m)
}

var xxx_messageInfo_SimpleGetRequest proto.InternalMessageInfo

func (m *SimpleGetRequest) GetEnforcerHandler() int32 {
	if m != nil {
		return m.EnforcerHandler
	}
	return 0
}

func (m *SimpleGetRequest) GetPType() string {
	if m != nil {
		return m.PType
	}
	return ""
}

type ArrayReply struct {
	Array                []string `protobuf:"bytes,1,rep,name=array,proto3" json:"array,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *ArrayReply) Reset()         { *m = ArrayReply{} }
func (m *ArrayReply) String() string { return proto.CompactTextString(m) }
func (*ArrayReply) ProtoMessage()    {}
func (*ArrayReply) Descriptor() ([]byte, []int) {
	return fileDescriptor_0a2c201915207782, []int{10}
}

func (m *ArrayReply) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ArrayReply.Unmarshal(m, b)
}
func (m *ArrayReply) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ArrayReply.Marshal(b, m, deterministic)
}
func (m *ArrayReply) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ArrayReply.Merge(m, src)
}
func (m *ArrayReply) XXX_Size() int {
	return xxx_messageInfo_ArrayReply.Size(m)
}
func (m *ArrayReply) XXX_DiscardUnknown() {
	xxx_messageInfo_ArrayReply.DiscardUnknown(m)
}

var xxx_messageInfo_ArrayReply proto.InternalMessageInfo

func (m *ArrayReply) GetArray() []string {
	if m != nil {
		return m.Array
	}
	return nil
}

type FilteredPolicyRequest struct {
	EnforcerHandler      int32    `protobuf:"varint,1,opt,name=enforcerHandler,proto3" json:"enforcerHandler,omitempty"`
	PType                string   `protobuf:"bytes,2,opt,name=pType,proto3" json:"pType,omitempty"`
	FieldIndex           int32    `protobuf:"varint,3,opt,name=fieldIndex,proto3" json:"fieldIndex,omitempty"`
	FieldValues          []string `protobuf:"bytes,4,rep,name=fieldValues,proto3" json:"fieldValues,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *FilteredPolicyRequest) Reset()         { *m = FilteredPolicyRequest{} }
func (m *FilteredPolicyRequest) String() string { return proto.CompactTextString(m) }
func (*FilteredPolicyRequest) ProtoMessage()    {}
func (*FilteredPolicyRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_0a2c201915207782, []int{11}
}

func (m *FilteredPolicyRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_FilteredPolicyRequest.Unmarshal(m, b)
}
func (m *FilteredPolicyRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_FilteredPolicyRequest.Marshal(b, m, deterministic)
}
func (m *FilteredPolicyRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_FilteredPolicyRequest.Merge(m, src)
}
func (m *FilteredPolicyRequest) XXX_Size() int {
	return xxx_messageInfo_FilteredPolicyRequest.Size(m)
}
func (m *FilteredPolicyRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_FilteredPolicyRequest.DiscardUnknown(m)
}

var xxx_messageInfo_FilteredPolicyRequest proto.InternalMessageInfo

func (m *FilteredPolicyRequest) GetEnforcerHandler() int32 {
	if m != nil {
		return m.EnforcerHandler
	}
	return 0
}

func (m *FilteredPolicyRequest) GetPType() string {
	if m != nil {
		return m.PType
	}
	return ""
}

func (m *FilteredPolicyRequest) GetFieldIndex() int32 {
	if m != nil {
		return m.FieldIndex
	}
	return 0
}

func (m *FilteredPolicyRequest) GetFieldValues() []string {
	if m != nil {
		return m.FieldValues
	}
	return nil
}

type UserRoleRequest struct {
	EnforcerHandler      int32    `protobuf:"varint,1,opt,name=enforcerHandler,proto3" json:"enforcerHandler,omitempty"`
	User                 string   `protobuf:"bytes,2,opt,name=user,proto3" json:"user,omitempty"`
	Role                 string   `protobuf:"bytes,3,opt,name=role,proto3" json:"role,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *UserRoleRequest) Reset()         { *m = UserRoleRequest{} }
func (m *UserRoleRequest) String() string { return proto.CompactTextString(m) }
func (*UserRoleRequest) ProtoMessage()    {}
func (*UserRoleRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_0a2c201915207782, []int{12}
}

func (m *UserRoleRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_UserRoleRequest.Unmarshal(m, b)
}
func (m *UserRoleRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_UserRoleRequest.Marshal(b, m, deterministic)
}
func (m *UserRoleRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_UserRoleRequest.Merge(m, src)
}
func (m *UserRoleRequest) XXX_Size() int {
	return xxx_messageInfo_UserRoleRequest.Size(m)
}
func (m *UserRoleRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_UserRoleRequest.DiscardUnknown(m)
}

var xxx_messageInfo_UserRoleRequest proto.InternalMessageInfo

func (m *UserRoleRequest) GetEnforcerHandler() int32 {
	if m != nil {
		return m.EnforcerHandler
	}
	return 0
}

func (m *UserRoleRequest) GetUser() string {
	if m != nil {
		return m.User
	}
	return ""
}

func (m *UserRoleRequest) GetRole() string {
	if m != nil {
		return m.Role
	}
	return ""
}

type PermissionRequest struct {
	EnforcerHandler      int32    `protobuf:"varint,1,opt,name=enforcerHandler,proto3" json:"enforcerHandler,omitempty"`
	User                 string   `protobuf:"bytes,2,opt,name=user,proto3" json:"user,omitempty"`
	Permissions          []string `protobuf:"bytes,3,rep,name=permissions,proto3" json:"permissions,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *PermissionRequest) Reset()         { *m = PermissionRequest{} }
func (m *PermissionRequest) String() string { return proto.CompactTextString(m) }
func (*PermissionRequest) ProtoMessage()    {}
func (*PermissionRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_0a2c201915207782, []int{13}
}

func (m *PermissionRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_PermissionRequest.Unmarshal(m, b)
}
func (m *PermissionRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_PermissionRequest.Marshal(b, m, deterministic)
}
func (m *PermissionRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_PermissionRequest.Merge(m, src)
}
func (m *PermissionRequest) XXX_Size() int {
	return xxx_messageInfo_PermissionRequest.Size(m)
}
func (m *PermissionRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_PermissionRequest.DiscardUnknown(m)
}

var xxx_messageInfo_PermissionRequest proto.InternalMessageInfo

func (m *PermissionRequest) GetEnforcerHandler() int32 {
	if m != nil {
		return m.EnforcerHandler
	}
	return 0
}

func (m *PermissionRequest) GetUser() string {
	if m != nil {
		return m.User
	}
	return ""
}

func (m *PermissionRequest) GetPermissions() []string {
	if m != nil {
		return m.Permissions
	}
	return nil
}

type Array2DReply struct {
	D2                   []*Array2DReplyD `protobuf:"bytes,1,rep,name=d2,proto3" json:"d2,omitempty"`
	XXX_NoUnkeyedLiteral struct{}         `json:"-"`
	XXX_unrecognized     []byte           `json:"-"`
	XXX_sizecache        int32            `json:"-"`
}

func (m *Array2DReply) Reset()         { *m = Array2DReply{} }
func (m *Array2DReply) String() string { return proto.CompactTextString(m) }
func (*Array2DReply) ProtoMessage()    {}
func (*Array2DReply) Descriptor() ([]byte, []int) {
	return fileDescriptor_0a2c201915207782, []int{14}
}

func (m *Array2DReply) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Array2DReply.Unmarshal(m, b)
}
func (m *Array2DReply) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Array2DReply.Marshal(b, m, deterministic)
}
func (m *Array2DReply) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Array2DReply.Merge(m, src)
}
func (m *Array2DReply) XXX_Size() int {
	return xxx_messageInfo_Array2DReply.Size(m)
}
func (m *Array2DReply) XXX_DiscardUnknown() {
	xxx_messageInfo_Array2DReply.DiscardUnknown(m)
}

var xxx_messageInfo_Array2DReply proto.InternalMessageInfo

func (m *Array2DReply) GetD2() []*Array2DReplyD {
	if m != nil {
		return m.D2
	}
	return nil
}

type Array2DReplyD struct {
	D1                   []string `protobuf:"bytes,1,rep,name=d1,proto3" json:"d1,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *Array2DReplyD) Reset()         { *m = Array2DReplyD{} }
func (m *Array2DReplyD) String() string { return proto.CompactTextString(m) }
func (*Array2DReplyD) ProtoMessage()    {}
func (*Array2DReplyD) Descriptor() ([]byte, []int) {
	return fileDescriptor_0a2c201915207782, []int{14, 0}
}

func (m *Array2DReplyD) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Array2DReplyD.Unmarshal(m, b)
}
func (m *Array2DReplyD) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Array2DReplyD.Marshal(b, m, deterministic)
}
func (m *Array2DReplyD) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Array2DReplyD.Merge(m, src)
}
func (m *Array2DReplyD) XXX_Size() int {
	return xxx_messageInfo_Array2DReplyD.Size(m)
}
func (m *Array2DReplyD) XXX_DiscardUnknown() {
	xxx_messageInfo_Array2DReplyD.DiscardUnknown(m)
}

var xxx_messageInfo_Array2DReplyD proto.InternalMessageInfo

func (m *Array2DReplyD) GetD1() []string {
	if m != nil {
		return m.D1
	}
	return nil
}

func init() {
	proto.RegisterType((*NewEnforcerRequest)(nil), "grpc.iam.v1.NewEnforcerRequest")
	proto.RegisterType((*NewEnforcerReply)(nil), "grpc.iam.v1.NewEnforcerReply")
	proto.RegisterType((*NewAdapterRequest)(nil), "grpc.iam.v1.NewAdapterRequest")
	proto.RegisterType((*NewAdapterReply)(nil), "grpc.iam.v1.NewAdapterReply")
	proto.RegisterType((*EnforceRequest)(nil), "grpc.iam.v1.EnforceRequest")
	proto.RegisterType((*BoolReply)(nil), "grpc.iam.v1.BoolReply")
	proto.RegisterType((*EmptyRequest)(nil), "grpc.iam.v1.EmptyRequest")
	proto.RegisterType((*EmptyReply)(nil), "grpc.iam.v1.EmptyReply")
	proto.RegisterType((*PolicyRequest)(nil), "grpc.iam.v1.PolicyRequest")
	proto.RegisterType((*SimpleGetRequest)(nil), "grpc.iam.v1.SimpleGetRequest")
	proto.RegisterType((*ArrayReply)(nil), "grpc.iam.v1.ArrayReply")
	proto.RegisterType((*FilteredPolicyRequest)(nil), "grpc.iam.v1.FilteredPolicyRequest")
	proto.RegisterType((*UserRoleRequest)(nil), "grpc.iam.v1.UserRoleRequest")
	proto.RegisterType((*PermissionRequest)(nil), "grpc.iam.v1.PermissionRequest")
	proto.RegisterType((*Array2DReply)(nil), "grpc.iam.v1.Array2DReply")
	proto.RegisterType((*Array2DReplyD)(nil), "grpc.iam.v1.Array2DReply.d")
}

func init() { proto.RegisterFile("iam.proto", fileDescriptor_0a2c201915207782) }

var fileDescriptor_0a2c201915207782 = []byte{
	// 887 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0xac, 0x98, 0x6d, 0x6f, 0xdb, 0x36,
	0x10, 0xc7, 0x63, 0x3b, 0x69, 0xeb, 0x73, 0x9e, 0xcc, 0x76, 0x9e, 0xe3, 0xa5, 0x99, 0x47, 0xec,
	0x85, 0x81, 0x0e, 0x06, 0xe2, 0x7d, 0x81, 0xa9, 0x6d, 0x62, 0x07, 0x0b, 0x9c, 0x54, 0xce, 0x86,
	0x15, 0xe8, 0x1b, 0x46, 0xbc, 0x64, 0x1a, 0xf4, 0x34, 0x4a, 0x4e, 0xeb, 0x8f, 0xb2, 0x17, 0xfb,
	0x62, 0xfb, 0x34, 0x83, 0x28, 0xc9, 0x21, 0xdd, 0x58, 0x6d, 0x24, 0xbd, 0x13, 0x4f, 0xe7, 0xdf,
	0xfd, 0x8f, 0xbc, 0x3b, 0x11, 0x86, 0xa6, 0xcd, 0xdc, 0x61, 0x20, 0xfc, 0xc8, 0x27, 0xad, 0x5b,
	0x11, 0x58, 0xc3, 0x78, 0x7d, 0x77, 0x4c, 0xff, 0x00, 0x32, 0xc5, 0x8f, 0x27, 0xde, 0x8d, 0x2f,
	0x2c, 0x14, 0x26, 0xfe, 0x3d, 0xc7, 0x30, 0x22, 0x87, 0xd0, 0x74, 0x7d, 0x8e, 0xce, 0x15, 0x7e,
	0x8a, 0xba, 0xb5, 0x7e, 0x6d, 0xd0, 0x34, 0xef, 0x0d, 0xe4, 0x47, 0xd8, 0x61, 0x9c, 0x05, 0x11,
	0x8a, 0x09, 0xf3, 0xb8, 0x83, 0xdd, 0x7a, 0xbf, 0x36, 0xd8, 0x32, 0x75, 0x23, 0xfd, 0x09, 0xf6,
	0x35, 0x72, 0xe0, 0x2c, 0x48, 0x17, 0x9e, 0xfe, 0x29, 0xdf, 0x0a, 0x49, 0xdd, 0x32, 0xb3, 0x25,
	0xfd, 0xb7, 0x06, 0xed, 0x29, 0x7e, 0x34, 0x12, 0x44, 0xa6, 0xa3, 0x0f, 0xad, 0x14, 0x3a, 0x65,
	0x2e, 0xa6, 0x4a, 0x54, 0x13, 0x39, 0x02, 0xe0, 0xc2, 0xbe, 0x4b, 0x1d, 0xea, 0xd2, 0x41, 0xb1,
	0xc4, 0x5a, 0x2d, 0xdf, 0xf3, 0xd0, 0x8a, 0x66, 0x91, 0xb0, 0xbd, 0xdb, 0x6e, 0x43, 0xba, 0xe8,
	0xc6, 0x38, 0x0e, 0xbf, 0x9e, 0x05, 0x68, 0xd9, 0x37, 0x36, 0xf2, 0xee, 0x66, 0xbf, 0x36, 0x78,
	0x66, 0xaa, 0x26, 0xfa, 0x0a, 0xf6, 0x54, 0x79, 0xf9, 0xc9, 0x98, 0xb0, 0x9b, 0xe6, 0x9d, 0x25,
	0x32, 0x80, 0x3d, 0x4c, 0x77, 0x62, 0xa2, 0xfd, 0x66, 0xd5, 0x4c, 0x3a, 0xf0, 0x24, 0x60, 0x82,
	0xb9, 0x61, 0xb7, 0xde, 0x6f, 0x0c, 0x9a, 0x66, 0xba, 0xa2, 0x2f, 0xa1, 0xf9, 0xda, 0xf7, 0x9d,
	0x24, 0xf4, 0x3e, 0x34, 0x04, 0x86, 0x12, 0xf1, 0xcc, 0x8c, 0x1f, 0xe9, 0x00, 0xb6, 0x4f, 0xdc,
	0x20, 0x5a, 0x64, 0x01, 0xd7, 0x8b, 0xdb, 0x06, 0x48, 0x3d, 0x03, 0x67, 0x41, 0x6f, 0x61, 0xe7,
	0xd2, 0x77, 0x6c, 0x6b, 0xf1, 0x78, 0xa5, 0x2f, 0x60, 0x2b, 0xb8, 0x5a, 0x04, 0xd9, 0xae, 0x27,
	0x0b, 0x45, 0x7f, 0x43, 0xd3, 0x6f, 0xc2, 0xfe, 0xcc, 0x76, 0x03, 0x07, 0xc7, 0x18, 0x55, 0x14,
	0x8b, 0x52, 0x00, 0x43, 0x08, 0x96, 0xa4, 0x12, 0xfb, 0xb0, 0x78, 0xd5, 0xad, 0xc9, 0xc0, 0xc9,
	0x82, 0xfe, 0x53, 0x83, 0x6f, 0x4e, 0x6d, 0x27, 0x42, 0x81, 0xbc, 0xda, 0x4c, 0x8f, 0x00, 0x6e,
	0x6c, 0x74, 0xf8, 0x99, 0xc7, 0xf1, 0x93, 0xac, 0xab, 0x2d, 0x53, 0xb1, 0xc4, 0x45, 0x25, 0x57,
	0xbf, 0x33, 0x67, 0x8e, 0x61, 0x77, 0x53, 0xaa, 0x52, 0x4d, 0xd4, 0x82, 0xbd, 0xdf, 0x42, 0x14,
	0xa6, 0xef, 0x14, 0x28, 0x14, 0x02, 0x9b, 0xf3, 0x10, 0x45, 0xaa, 0x49, 0x3e, 0xc7, 0x36, 0xe1,
	0x3b, 0x98, 0x16, 0xb9, 0x7c, 0xa6, 0x21, 0xb4, 0x2f, 0x51, 0xb8, 0x76, 0x18, 0xda, 0xbe, 0x57,
	0x4d, 0x98, 0x3e, 0xb4, 0x82, 0x25, 0x32, 0x3b, 0x68, 0xd5, 0x44, 0x2f, 0x61, 0x5b, 0x9e, 0xcc,
	0xe8, 0x6d, 0x72, 0x36, 0xaf, 0xa0, 0xce, 0x47, 0xf2, 0x60, 0x5a, 0xa3, 0xef, 0x86, 0xca, 0x00,
	0x1a, 0xaa, 0x6e, 0x43, 0x6e, 0xd6, 0xf9, 0xa8, 0xf7, 0x1c, 0x6a, 0x9c, 0xec, 0x42, 0x9d, 0x1f,
	0xa7, 0x47, 0x59, 0xe7, 0xc7, 0xa3, 0xff, 0x3a, 0xd0, 0x38, 0x63, 0x2e, 0xb9, 0x80, 0x96, 0x32,
	0x56, 0xc8, 0xf7, 0x1a, 0xec, 0xf3, 0x51, 0xd6, 0x7b, 0xb9, 0xde, 0x21, 0xae, 0xff, 0x0d, 0x72,
	0x0e, 0x70, 0xdf, 0xd9, 0xe4, 0x68, 0xd5, 0x5d, 0x9f, 0x48, 0xbd, 0xc3, 0xb5, 0xef, 0x13, 0xda,
	0x2f, 0xf0, 0x34, 0x0d, 0x40, 0xf4, 0x3c, 0xf5, 0x81, 0xd0, 0xeb, 0x68, 0x2f, 0x97, 0x9d, 0x4d,
	0x37, 0xc8, 0x6b, 0x80, 0x73, 0x9f, 0xa5, 0xb5, 0x4a, 0x0e, 0x74, 0x88, 0xd2, 0xe2, 0xbd, 0x6f,
	0x1f, 0x7a, 0xb5, 0x64, 0xcc, 0xd8, 0x1d, 0x96, 0x62, 0x18, 0xd0, 0x34, 0x78, 0x26, 0xa3, 0xa7,
	0xf9, 0x69, 0x7d, 0x94, 0x93, 0xca, 0x29, 0xec, 0x1a, 0x9c, 0xc7, 0x73, 0xb8, 0x1c, 0xe7, 0x2d,
	0x6c, 0x9b, 0xe8, 0xfa, 0xcb, 0x84, 0x8a, 0x51, 0xce, 0xa0, 0x9d, 0x50, 0xca, 0x0b, 0xba, 0x82,
	0x17, 0x09, 0x4a, 0x9f, 0x2c, 0x84, 0x6a, 0xbf, 0x78, 0x70, 0xec, 0xe4, 0x50, 0xdf, 0xc3, 0x81,
	0x4e, 0x55, 0x85, 0x96, 0x43, 0xbf, 0x81, 0xe6, 0x18, 0xa3, 0x2f, 0xd7, 0xc3, 0xc1, 0xda, 0xde,
	0x94, 0x1b, 0xb8, 0x3b, 0xc6, 0xe8, 0x6b, 0x77, 0x2f, 0x17, 0x75, 0x05, 0xed, 0x31, 0x46, 0x05,
	0x76, 0x2f, 0x97, 0xfa, 0x1e, 0x3a, 0x0a, 0xf5, 0xb1, 0xbb, 0xf7, 0x85, 0xdc, 0xdb, 0x06, 0xe7,
	0x63, 0xe1, 0xcf, 0x03, 0xdb, 0xbb, 0x2d, 0x55, 0x3c, 0x53, 0xe8, 0x64, 0x5d, 0x51, 0x09, 0xef,
	0x3c, 0x2b, 0xc6, 0x4a, 0x68, 0xef, 0xb2, 0x22, 0xac, 0x4e, 0xe0, 0x07, 0x38, 0xd4, 0xeb, 0x7a,
	0x85, 0x5a, 0xae, 0xb4, 0x19, 0xfc, 0xf0, 0x40, 0xd7, 0x54, 0x1a, 0xe2, 0x57, 0x59, 0xad, 0x2b,
	0xc8, 0xa2, 0x5d, 0xf4, 0x4e, 0x16, 0xe9, 0x63, 0x77, 0x37, 0x17, 0xf9, 0x01, 0x0e, 0x94, 0xba,
	0x2f, 0x90, 0x7a, 0x2e, 0x9d, 0xc1, 0xd1, 0x6a, 0x57, 0x55, 0x1d, 0xe2, 0x54, 0x4e, 0x16, 0xc3,
	0x71, 0x66, 0xf3, 0xeb, 0xbf, 0xd0, 0x8a, 0xc2, 0xaf, 0xff, 0x66, 0xdd, 0x5f, 0x00, 0xe9, 0x06,
	0xb9, 0x80, 0xe7, 0x09, 0x47, 0xaa, 0x5c, 0xc2, 0xf4, 0x3b, 0xc0, 0xea, 0x35, 0x34, 0x0f, 0x78,
	0x02, 0x3b, 0x09, 0xf0, 0xa2, 0x94, 0xae, 0x29, 0x10, 0x45, 0xd7, 0x45, 0x75, 0xb2, 0x0c, 0x2b,
	0x8a, 0xef, 0x5b, 0x95, 0xc8, 0xca, 0x58, 0xc5, 0x65, 0xbd, 0x81, 0x56, 0xc2, 0x8b, 0x6f, 0xb4,
	0x45, 0x45, 0x9d, 0xc3, 0xbe, 0x22, 0x2a, 0x21, 0x15, 0x97, 0x64, 0x40, 0x73, 0xc2, 0xc2, 0xb2,
	0xb7, 0x98, 0x09, 0x0b, 0xcb, 0x5f, 0x1a, 0xce, 0xa0, 0x3d, 0x61, 0x61, 0x55, 0x9f, 0x90, 0x4c,
	0x52, 0x15, 0xbc, 0xeb, 0x27, 0xf2, 0x9f, 0x81, 0x9f, 0xff, 0x0f, 0x00, 0x00, 0xff, 0xff, 0x02,
	0xdb, 0x5f, 0xa6, 0x26, 0x10, 0x00, 0x00,
}

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ grpc.ClientConn

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
const _ = grpc.SupportPackageIsVersion4

// IamClient is the client API for Iam service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://godoc.org/google.golang.org/grpc#ClientConn.NewStream.
type IamClient interface {
	NewEnforcer(ctx context.Context, in *NewEnforcerRequest, opts ...grpc.CallOption) (*NewEnforcerReply, error)
	NewAdapter(ctx context.Context, in *NewAdapterRequest, opts ...grpc.CallOption) (*NewAdapterReply, error)
	Enforce(ctx context.Context, in *EnforceRequest, opts ...grpc.CallOption) (*BoolReply, error)
	LoadPolicy(ctx context.Context, in *EmptyRequest, opts ...grpc.CallOption) (*EmptyReply, error)
	SavePolicy(ctx context.Context, in *EmptyRequest, opts ...grpc.CallOption) (*EmptyReply, error)
	AddPolicy(ctx context.Context, in *PolicyRequest, opts ...grpc.CallOption) (*BoolReply, error)
	AddNamedPolicy(ctx context.Context, in *PolicyRequest, opts ...grpc.CallOption) (*BoolReply, error)
	RemovePolicy(ctx context.Context, in *PolicyRequest, opts ...grpc.CallOption) (*BoolReply, error)
	RemoveNamedPolicy(ctx context.Context, in *PolicyRequest, opts ...grpc.CallOption) (*BoolReply, error)
	RemoveFilteredPolicy(ctx context.Context, in *FilteredPolicyRequest, opts ...grpc.CallOption) (*BoolReply, error)
	RemoveFilteredNamedPolicy(ctx context.Context, in *FilteredPolicyRequest, opts ...grpc.CallOption) (*BoolReply, error)
	GetPolicy(ctx context.Context, in *EmptyRequest, opts ...grpc.CallOption) (*Array2DReply, error)
	GetNamedPolicy(ctx context.Context, in *PolicyRequest, opts ...grpc.CallOption) (*Array2DReply, error)
	GetFilteredPolicy(ctx context.Context, in *FilteredPolicyRequest, opts ...grpc.CallOption) (*Array2DReply, error)
	GetFilteredNamedPolicy(ctx context.Context, in *FilteredPolicyRequest, opts ...grpc.CallOption) (*Array2DReply, error)
	AddGroupingPolicy(ctx context.Context, in *PolicyRequest, opts ...grpc.CallOption) (*BoolReply, error)
	AddNamedGroupingPolicy(ctx context.Context, in *PolicyRequest, opts ...grpc.CallOption) (*BoolReply, error)
	RemoveGroupingPolicy(ctx context.Context, in *PolicyRequest, opts ...grpc.CallOption) (*BoolReply, error)
	RemoveNamedGroupingPolicy(ctx context.Context, in *PolicyRequest, opts ...grpc.CallOption) (*BoolReply, error)
	RemoveFilteredGroupingPolicy(ctx context.Context, in *FilteredPolicyRequest, opts ...grpc.CallOption) (*BoolReply, error)
	RemoveFilteredNamedGroupingPolicy(ctx context.Context, in *FilteredPolicyRequest, opts ...grpc.CallOption) (*BoolReply, error)
	GetGroupingPolicy(ctx context.Context, in *EmptyRequest, opts ...grpc.CallOption) (*Array2DReply, error)
	GetNamedGroupingPolicy(ctx context.Context, in *PolicyRequest, opts ...grpc.CallOption) (*Array2DReply, error)
	GetFilteredGroupingPolicy(ctx context.Context, in *FilteredPolicyRequest, opts ...grpc.CallOption) (*Array2DReply, error)
	GetFilteredNamedGroupingPolicy(ctx context.Context, in *FilteredPolicyRequest, opts ...grpc.CallOption) (*Array2DReply, error)
	GetAllSubjects(ctx context.Context, in *EmptyRequest, opts ...grpc.CallOption) (*ArrayReply, error)
	GetAllNamedSubjects(ctx context.Context, in *SimpleGetRequest, opts ...grpc.CallOption) (*ArrayReply, error)
	GetAllObjects(ctx context.Context, in *EmptyRequest, opts ...grpc.CallOption) (*ArrayReply, error)
	GetAllNamedObjects(ctx context.Context, in *SimpleGetRequest, opts ...grpc.CallOption) (*ArrayReply, error)
	GetAllActions(ctx context.Context, in *EmptyRequest, opts ...grpc.CallOption) (*ArrayReply, error)
	GetAllNamedActions(ctx context.Context, in *SimpleGetRequest, opts ...grpc.CallOption) (*ArrayReply, error)
	GetAllRoles(ctx context.Context, in *EmptyRequest, opts ...grpc.CallOption) (*ArrayReply, error)
	GetAllNamedRoles(ctx context.Context, in *SimpleGetRequest, opts ...grpc.CallOption) (*ArrayReply, error)
	HasPolicy(ctx context.Context, in *PolicyRequest, opts ...grpc.CallOption) (*BoolReply, error)
	HasNamedPolicy(ctx context.Context, in *PolicyRequest, opts ...grpc.CallOption) (*BoolReply, error)
	HasGroupingPolicy(ctx context.Context, in *PolicyRequest, opts ...grpc.CallOption) (*BoolReply, error)
	HasNamedGroupingPolicy(ctx context.Context, in *PolicyRequest, opts ...grpc.CallOption) (*BoolReply, error)
}

type iamClient struct {
	cc *grpc.ClientConn
}

func NewIamClient(cc *grpc.ClientConn) IamClient {
	return &iamClient{cc}
}

func (c *iamClient) NewEnforcer(ctx context.Context, in *NewEnforcerRequest, opts ...grpc.CallOption) (*NewEnforcerReply, error) {
	out := new(NewEnforcerReply)
	err := c.cc.Invoke(ctx, "/grpc.iam.v1.Iam/NewEnforcer", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *iamClient) NewAdapter(ctx context.Context, in *NewAdapterRequest, opts ...grpc.CallOption) (*NewAdapterReply, error) {
	out := new(NewAdapterReply)
	err := c.cc.Invoke(ctx, "/grpc.iam.v1.Iam/NewAdapter", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *iamClient) Enforce(ctx context.Context, in *EnforceRequest, opts ...grpc.CallOption) (*BoolReply, error) {
	out := new(BoolReply)
	err := c.cc.Invoke(ctx, "/grpc.iam.v1.Iam/Enforce", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *iamClient) LoadPolicy(ctx context.Context, in *EmptyRequest, opts ...grpc.CallOption) (*EmptyReply, error) {
	out := new(EmptyReply)
	err := c.cc.Invoke(ctx, "/grpc.iam.v1.Iam/LoadPolicy", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *iamClient) SavePolicy(ctx context.Context, in *EmptyRequest, opts ...grpc.CallOption) (*EmptyReply, error) {
	out := new(EmptyReply)
	err := c.cc.Invoke(ctx, "/grpc.iam.v1.Iam/SavePolicy", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *iamClient) AddPolicy(ctx context.Context, in *PolicyRequest, opts ...grpc.CallOption) (*BoolReply, error) {
	out := new(BoolReply)
	err := c.cc.Invoke(ctx, "/grpc.iam.v1.Iam/AddPolicy", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *iamClient) AddNamedPolicy(ctx context.Context, in *PolicyRequest, opts ...grpc.CallOption) (*BoolReply, error) {
	out := new(BoolReply)
	err := c.cc.Invoke(ctx, "/grpc.iam.v1.Iam/AddNamedPolicy", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *iamClient) RemovePolicy(ctx context.Context, in *PolicyRequest, opts ...grpc.CallOption) (*BoolReply, error) {
	out := new(BoolReply)
	err := c.cc.Invoke(ctx, "/grpc.iam.v1.Iam/RemovePolicy", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *iamClient) RemoveNamedPolicy(ctx context.Context, in *PolicyRequest, opts ...grpc.CallOption) (*BoolReply, error) {
	out := new(BoolReply)
	err := c.cc.Invoke(ctx, "/grpc.iam.v1.Iam/RemoveNamedPolicy", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *iamClient) RemoveFilteredPolicy(ctx context.Context, in *FilteredPolicyRequest, opts ...grpc.CallOption) (*BoolReply, error) {
	out := new(BoolReply)
	err := c.cc.Invoke(ctx, "/grpc.iam.v1.Iam/RemoveFilteredPolicy", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *iamClient) RemoveFilteredNamedPolicy(ctx context.Context, in *FilteredPolicyRequest, opts ...grpc.CallOption) (*BoolReply, error) {
	out := new(BoolReply)
	err := c.cc.Invoke(ctx, "/grpc.iam.v1.Iam/RemoveFilteredNamedPolicy", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *iamClient) GetPolicy(ctx context.Context, in *EmptyRequest, opts ...grpc.CallOption) (*Array2DReply, error) {
	out := new(Array2DReply)
	err := c.cc.Invoke(ctx, "/grpc.iam.v1.Iam/GetPolicy", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *iamClient) GetNamedPolicy(ctx context.Context, in *PolicyRequest, opts ...grpc.CallOption) (*Array2DReply, error) {
	out := new(Array2DReply)
	err := c.cc.Invoke(ctx, "/grpc.iam.v1.Iam/GetNamedPolicy", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *iamClient) GetFilteredPolicy(ctx context.Context, in *FilteredPolicyRequest, opts ...grpc.CallOption) (*Array2DReply, error) {
	out := new(Array2DReply)
	err := c.cc.Invoke(ctx, "/grpc.iam.v1.Iam/GetFilteredPolicy", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *iamClient) GetFilteredNamedPolicy(ctx context.Context, in *FilteredPolicyRequest, opts ...grpc.CallOption) (*Array2DReply, error) {
	out := new(Array2DReply)
	err := c.cc.Invoke(ctx, "/grpc.iam.v1.Iam/GetFilteredNamedPolicy", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *iamClient) AddGroupingPolicy(ctx context.Context, in *PolicyRequest, opts ...grpc.CallOption) (*BoolReply, error) {
	out := new(BoolReply)
	err := c.cc.Invoke(ctx, "/grpc.iam.v1.Iam/AddGroupingPolicy", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *iamClient) AddNamedGroupingPolicy(ctx context.Context, in *PolicyRequest, opts ...grpc.CallOption) (*BoolReply, error) {
	out := new(BoolReply)
	err := c.cc.Invoke(ctx, "/grpc.iam.v1.Iam/AddNamedGroupingPolicy", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *iamClient) RemoveGroupingPolicy(ctx context.Context, in *PolicyRequest, opts ...grpc.CallOption) (*BoolReply, error) {
	out := new(BoolReply)
	err := c.cc.Invoke(ctx, "/grpc.iam.v1.Iam/RemoveGroupingPolicy", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *iamClient) RemoveNamedGroupingPolicy(ctx context.Context, in *PolicyRequest, opts ...grpc.CallOption) (*BoolReply, error) {
	out := new(BoolReply)
	err := c.cc.Invoke(ctx, "/grpc.iam.v1.Iam/RemoveNamedGroupingPolicy", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *iamClient) RemoveFilteredGroupingPolicy(ctx context.Context, in *FilteredPolicyRequest, opts ...grpc.CallOption) (*BoolReply, error) {
	out := new(BoolReply)
	err := c.cc.Invoke(ctx, "/grpc.iam.v1.Iam/RemoveFilteredGroupingPolicy", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *iamClient) RemoveFilteredNamedGroupingPolicy(ctx context.Context, in *FilteredPolicyRequest, opts ...grpc.CallOption) (*BoolReply, error) {
	out := new(BoolReply)
	err := c.cc.Invoke(ctx, "/grpc.iam.v1.Iam/RemoveFilteredNamedGroupingPolicy", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *iamClient) GetGroupingPolicy(ctx context.Context, in *EmptyRequest, opts ...grpc.CallOption) (*Array2DReply, error) {
	out := new(Array2DReply)
	err := c.cc.Invoke(ctx, "/grpc.iam.v1.Iam/GetGroupingPolicy", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *iamClient) GetNamedGroupingPolicy(ctx context.Context, in *PolicyRequest, opts ...grpc.CallOption) (*Array2DReply, error) {
	out := new(Array2DReply)
	err := c.cc.Invoke(ctx, "/grpc.iam.v1.Iam/GetNamedGroupingPolicy", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *iamClient) GetFilteredGroupingPolicy(ctx context.Context, in *FilteredPolicyRequest, opts ...grpc.CallOption) (*Array2DReply, error) {
	out := new(Array2DReply)
	err := c.cc.Invoke(ctx, "/grpc.iam.v1.Iam/GetFilteredGroupingPolicy", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *iamClient) GetFilteredNamedGroupingPolicy(ctx context.Context, in *FilteredPolicyRequest, opts ...grpc.CallOption) (*Array2DReply, error) {
	out := new(Array2DReply)
	err := c.cc.Invoke(ctx, "/grpc.iam.v1.Iam/GetFilteredNamedGroupingPolicy", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *iamClient) GetAllSubjects(ctx context.Context, in *EmptyRequest, opts ...grpc.CallOption) (*ArrayReply, error) {
	out := new(ArrayReply)
	err := c.cc.Invoke(ctx, "/grpc.iam.v1.Iam/GetAllSubjects", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *iamClient) GetAllNamedSubjects(ctx context.Context, in *SimpleGetRequest, opts ...grpc.CallOption) (*ArrayReply, error) {
	out := new(ArrayReply)
	err := c.cc.Invoke(ctx, "/grpc.iam.v1.Iam/GetAllNamedSubjects", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *iamClient) GetAllObjects(ctx context.Context, in *EmptyRequest, opts ...grpc.CallOption) (*ArrayReply, error) {
	out := new(ArrayReply)
	err := c.cc.Invoke(ctx, "/grpc.iam.v1.Iam/GetAllObjects", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *iamClient) GetAllNamedObjects(ctx context.Context, in *SimpleGetRequest, opts ...grpc.CallOption) (*ArrayReply, error) {
	out := new(ArrayReply)
	err := c.cc.Invoke(ctx, "/grpc.iam.v1.Iam/GetAllNamedObjects", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *iamClient) GetAllActions(ctx context.Context, in *EmptyRequest, opts ...grpc.CallOption) (*ArrayReply, error) {
	out := new(ArrayReply)
	err := c.cc.Invoke(ctx, "/grpc.iam.v1.Iam/GetAllActions", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *iamClient) GetAllNamedActions(ctx context.Context, in *SimpleGetRequest, opts ...grpc.CallOption) (*ArrayReply, error) {
	out := new(ArrayReply)
	err := c.cc.Invoke(ctx, "/grpc.iam.v1.Iam/GetAllNamedActions", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *iamClient) GetAllRoles(ctx context.Context, in *EmptyRequest, opts ...grpc.CallOption) (*ArrayReply, error) {
	out := new(ArrayReply)
	err := c.cc.Invoke(ctx, "/grpc.iam.v1.Iam/GetAllRoles", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *iamClient) GetAllNamedRoles(ctx context.Context, in *SimpleGetRequest, opts ...grpc.CallOption) (*ArrayReply, error) {
	out := new(ArrayReply)
	err := c.cc.Invoke(ctx, "/grpc.iam.v1.Iam/GetAllNamedRoles", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *iamClient) HasPolicy(ctx context.Context, in *PolicyRequest, opts ...grpc.CallOption) (*BoolReply, error) {
	out := new(BoolReply)
	err := c.cc.Invoke(ctx, "/grpc.iam.v1.Iam/HasPolicy", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *iamClient) HasNamedPolicy(ctx context.Context, in *PolicyRequest, opts ...grpc.CallOption) (*BoolReply, error) {
	out := new(BoolReply)
	err := c.cc.Invoke(ctx, "/grpc.iam.v1.Iam/HasNamedPolicy", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *iamClient) HasGroupingPolicy(ctx context.Context, in *PolicyRequest, opts ...grpc.CallOption) (*BoolReply, error) {
	out := new(BoolReply)
	err := c.cc.Invoke(ctx, "/grpc.iam.v1.Iam/HasGroupingPolicy", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *iamClient) HasNamedGroupingPolicy(ctx context.Context, in *PolicyRequest, opts ...grpc.CallOption) (*BoolReply, error) {
	out := new(BoolReply)
	err := c.cc.Invoke(ctx, "/grpc.iam.v1.Iam/HasNamedGroupingPolicy", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// IamServer is the server API for Iam service.
type IamServer interface {
	NewEnforcer(context.Context, *NewEnforcerRequest) (*NewEnforcerReply, error)
	NewAdapter(context.Context, *NewAdapterRequest) (*NewAdapterReply, error)
	Enforce(context.Context, *EnforceRequest) (*BoolReply, error)
	LoadPolicy(context.Context, *EmptyRequest) (*EmptyReply, error)
	SavePolicy(context.Context, *EmptyRequest) (*EmptyReply, error)
	AddPolicy(context.Context, *PolicyRequest) (*BoolReply, error)
	AddNamedPolicy(context.Context, *PolicyRequest) (*BoolReply, error)
	RemovePolicy(context.Context, *PolicyRequest) (*BoolReply, error)
	RemoveNamedPolicy(context.Context, *PolicyRequest) (*BoolReply, error)
	RemoveFilteredPolicy(context.Context, *FilteredPolicyRequest) (*BoolReply, error)
	RemoveFilteredNamedPolicy(context.Context, *FilteredPolicyRequest) (*BoolReply, error)
	GetPolicy(context.Context, *EmptyRequest) (*Array2DReply, error)
	GetNamedPolicy(context.Context, *PolicyRequest) (*Array2DReply, error)
	GetFilteredPolicy(context.Context, *FilteredPolicyRequest) (*Array2DReply, error)
	GetFilteredNamedPolicy(context.Context, *FilteredPolicyRequest) (*Array2DReply, error)
	AddGroupingPolicy(context.Context, *PolicyRequest) (*BoolReply, error)
	AddNamedGroupingPolicy(context.Context, *PolicyRequest) (*BoolReply, error)
	RemoveGroupingPolicy(context.Context, *PolicyRequest) (*BoolReply, error)
	RemoveNamedGroupingPolicy(context.Context, *PolicyRequest) (*BoolReply, error)
	RemoveFilteredGroupingPolicy(context.Context, *FilteredPolicyRequest) (*BoolReply, error)
	RemoveFilteredNamedGroupingPolicy(context.Context, *FilteredPolicyRequest) (*BoolReply, error)
	GetGroupingPolicy(context.Context, *EmptyRequest) (*Array2DReply, error)
	GetNamedGroupingPolicy(context.Context, *PolicyRequest) (*Array2DReply, error)
	GetFilteredGroupingPolicy(context.Context, *FilteredPolicyRequest) (*Array2DReply, error)
	GetFilteredNamedGroupingPolicy(context.Context, *FilteredPolicyRequest) (*Array2DReply, error)
	GetAllSubjects(context.Context, *EmptyRequest) (*ArrayReply, error)
	GetAllNamedSubjects(context.Context, *SimpleGetRequest) (*ArrayReply, error)
	GetAllObjects(context.Context, *EmptyRequest) (*ArrayReply, error)
	GetAllNamedObjects(context.Context, *SimpleGetRequest) (*ArrayReply, error)
	GetAllActions(context.Context, *EmptyRequest) (*ArrayReply, error)
	GetAllNamedActions(context.Context, *SimpleGetRequest) (*ArrayReply, error)
	GetAllRoles(context.Context, *EmptyRequest) (*ArrayReply, error)
	GetAllNamedRoles(context.Context, *SimpleGetRequest) (*ArrayReply, error)
	HasPolicy(context.Context, *PolicyRequest) (*BoolReply, error)
	HasNamedPolicy(context.Context, *PolicyRequest) (*BoolReply, error)
	HasGroupingPolicy(context.Context, *PolicyRequest) (*BoolReply, error)
	HasNamedGroupingPolicy(context.Context, *PolicyRequest) (*BoolReply, error)
}

// UnimplementedIamServer can be embedded to have forward compatible implementations.
type UnimplementedIamServer struct {
}

func (*UnimplementedIamServer) NewEnforcer(ctx context.Context, req *NewEnforcerRequest) (*NewEnforcerReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method NewEnforcer not implemented")
}
func (*UnimplementedIamServer) NewAdapter(ctx context.Context, req *NewAdapterRequest) (*NewAdapterReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method NewAdapter not implemented")
}
func (*UnimplementedIamServer) Enforce(ctx context.Context, req *EnforceRequest) (*BoolReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Enforce not implemented")
}
func (*UnimplementedIamServer) LoadPolicy(ctx context.Context, req *EmptyRequest) (*EmptyReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method LoadPolicy not implemented")
}
func (*UnimplementedIamServer) SavePolicy(ctx context.Context, req *EmptyRequest) (*EmptyReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method SavePolicy not implemented")
}
func (*UnimplementedIamServer) AddPolicy(ctx context.Context, req *PolicyRequest) (*BoolReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method AddPolicy not implemented")
}
func (*UnimplementedIamServer) AddNamedPolicy(ctx context.Context, req *PolicyRequest) (*BoolReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method AddNamedPolicy not implemented")
}
func (*UnimplementedIamServer) RemovePolicy(ctx context.Context, req *PolicyRequest) (*BoolReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method RemovePolicy not implemented")
}
func (*UnimplementedIamServer) RemoveNamedPolicy(ctx context.Context, req *PolicyRequest) (*BoolReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method RemoveNamedPolicy not implemented")
}
func (*UnimplementedIamServer) RemoveFilteredPolicy(ctx context.Context, req *FilteredPolicyRequest) (*BoolReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method RemoveFilteredPolicy not implemented")
}
func (*UnimplementedIamServer) RemoveFilteredNamedPolicy(ctx context.Context, req *FilteredPolicyRequest) (*BoolReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method RemoveFilteredNamedPolicy not implemented")
}
func (*UnimplementedIamServer) GetPolicy(ctx context.Context, req *EmptyRequest) (*Array2DReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetPolicy not implemented")
}
func (*UnimplementedIamServer) GetNamedPolicy(ctx context.Context, req *PolicyRequest) (*Array2DReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetNamedPolicy not implemented")
}
func (*UnimplementedIamServer) GetFilteredPolicy(ctx context.Context, req *FilteredPolicyRequest) (*Array2DReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetFilteredPolicy not implemented")
}
func (*UnimplementedIamServer) GetFilteredNamedPolicy(ctx context.Context, req *FilteredPolicyRequest) (*Array2DReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetFilteredNamedPolicy not implemented")
}
func (*UnimplementedIamServer) AddGroupingPolicy(ctx context.Context, req *PolicyRequest) (*BoolReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method AddGroupingPolicy not implemented")
}
func (*UnimplementedIamServer) AddNamedGroupingPolicy(ctx context.Context, req *PolicyRequest) (*BoolReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method AddNamedGroupingPolicy not implemented")
}
func (*UnimplementedIamServer) RemoveGroupingPolicy(ctx context.Context, req *PolicyRequest) (*BoolReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method RemoveGroupingPolicy not implemented")
}
func (*UnimplementedIamServer) RemoveNamedGroupingPolicy(ctx context.Context, req *PolicyRequest) (*BoolReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method RemoveNamedGroupingPolicy not implemented")
}
func (*UnimplementedIamServer) RemoveFilteredGroupingPolicy(ctx context.Context, req *FilteredPolicyRequest) (*BoolReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method RemoveFilteredGroupingPolicy not implemented")
}
func (*UnimplementedIamServer) RemoveFilteredNamedGroupingPolicy(ctx context.Context, req *FilteredPolicyRequest) (*BoolReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method RemoveFilteredNamedGroupingPolicy not implemented")
}
func (*UnimplementedIamServer) GetGroupingPolicy(ctx context.Context, req *EmptyRequest) (*Array2DReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetGroupingPolicy not implemented")
}
func (*UnimplementedIamServer) GetNamedGroupingPolicy(ctx context.Context, req *PolicyRequest) (*Array2DReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetNamedGroupingPolicy not implemented")
}
func (*UnimplementedIamServer) GetFilteredGroupingPolicy(ctx context.Context, req *FilteredPolicyRequest) (*Array2DReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetFilteredGroupingPolicy not implemented")
}
func (*UnimplementedIamServer) GetFilteredNamedGroupingPolicy(ctx context.Context, req *FilteredPolicyRequest) (*Array2DReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetFilteredNamedGroupingPolicy not implemented")
}
func (*UnimplementedIamServer) GetAllSubjects(ctx context.Context, req *EmptyRequest) (*ArrayReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetAllSubjects not implemented")
}
func (*UnimplementedIamServer) GetAllNamedSubjects(ctx context.Context, req *SimpleGetRequest) (*ArrayReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetAllNamedSubjects not implemented")
}
func (*UnimplementedIamServer) GetAllObjects(ctx context.Context, req *EmptyRequest) (*ArrayReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetAllObjects not implemented")
}
func (*UnimplementedIamServer) GetAllNamedObjects(ctx context.Context, req *SimpleGetRequest) (*ArrayReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetAllNamedObjects not implemented")
}
func (*UnimplementedIamServer) GetAllActions(ctx context.Context, req *EmptyRequest) (*ArrayReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetAllActions not implemented")
}
func (*UnimplementedIamServer) GetAllNamedActions(ctx context.Context, req *SimpleGetRequest) (*ArrayReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetAllNamedActions not implemented")
}
func (*UnimplementedIamServer) GetAllRoles(ctx context.Context, req *EmptyRequest) (*ArrayReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetAllRoles not implemented")
}
func (*UnimplementedIamServer) GetAllNamedRoles(ctx context.Context, req *SimpleGetRequest) (*ArrayReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetAllNamedRoles not implemented")
}
func (*UnimplementedIamServer) HasPolicy(ctx context.Context, req *PolicyRequest) (*BoolReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method HasPolicy not implemented")
}
func (*UnimplementedIamServer) HasNamedPolicy(ctx context.Context, req *PolicyRequest) (*BoolReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method HasNamedPolicy not implemented")
}
func (*UnimplementedIamServer) HasGroupingPolicy(ctx context.Context, req *PolicyRequest) (*BoolReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method HasGroupingPolicy not implemented")
}
func (*UnimplementedIamServer) HasNamedGroupingPolicy(ctx context.Context, req *PolicyRequest) (*BoolReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method HasNamedGroupingPolicy not implemented")
}

func RegisterIamServer(s *grpc.Server, srv IamServer) {
	s.RegisterService(&_Iam_serviceDesc, srv)
}

func _Iam_NewEnforcer_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(NewEnforcerRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(IamServer).NewEnforcer(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/grpc.iam.v1.Iam/NewEnforcer",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(IamServer).NewEnforcer(ctx, req.(*NewEnforcerRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Iam_NewAdapter_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(NewAdapterRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(IamServer).NewAdapter(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/grpc.iam.v1.Iam/NewAdapter",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(IamServer).NewAdapter(ctx, req.(*NewAdapterRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Iam_Enforce_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(EnforceRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(IamServer).Enforce(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/grpc.iam.v1.Iam/Enforce",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(IamServer).Enforce(ctx, req.(*EnforceRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Iam_LoadPolicy_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(EmptyRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(IamServer).LoadPolicy(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/grpc.iam.v1.Iam/LoadPolicy",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(IamServer).LoadPolicy(ctx, req.(*EmptyRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Iam_SavePolicy_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(EmptyRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(IamServer).SavePolicy(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/grpc.iam.v1.Iam/SavePolicy",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(IamServer).SavePolicy(ctx, req.(*EmptyRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Iam_AddPolicy_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(PolicyRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(IamServer).AddPolicy(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/grpc.iam.v1.Iam/AddPolicy",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(IamServer).AddPolicy(ctx, req.(*PolicyRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Iam_AddNamedPolicy_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(PolicyRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(IamServer).AddNamedPolicy(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/grpc.iam.v1.Iam/AddNamedPolicy",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(IamServer).AddNamedPolicy(ctx, req.(*PolicyRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Iam_RemovePolicy_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(PolicyRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(IamServer).RemovePolicy(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/grpc.iam.v1.Iam/RemovePolicy",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(IamServer).RemovePolicy(ctx, req.(*PolicyRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Iam_RemoveNamedPolicy_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(PolicyRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(IamServer).RemoveNamedPolicy(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/grpc.iam.v1.Iam/RemoveNamedPolicy",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(IamServer).RemoveNamedPolicy(ctx, req.(*PolicyRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Iam_RemoveFilteredPolicy_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(FilteredPolicyRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(IamServer).RemoveFilteredPolicy(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/grpc.iam.v1.Iam/RemoveFilteredPolicy",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(IamServer).RemoveFilteredPolicy(ctx, req.(*FilteredPolicyRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Iam_RemoveFilteredNamedPolicy_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(FilteredPolicyRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(IamServer).RemoveFilteredNamedPolicy(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/grpc.iam.v1.Iam/RemoveFilteredNamedPolicy",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(IamServer).RemoveFilteredNamedPolicy(ctx, req.(*FilteredPolicyRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Iam_GetPolicy_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(EmptyRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(IamServer).GetPolicy(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/grpc.iam.v1.Iam/GetPolicy",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(IamServer).GetPolicy(ctx, req.(*EmptyRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Iam_GetNamedPolicy_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(PolicyRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(IamServer).GetNamedPolicy(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/grpc.iam.v1.Iam/GetNamedPolicy",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(IamServer).GetNamedPolicy(ctx, req.(*PolicyRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Iam_GetFilteredPolicy_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(FilteredPolicyRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(IamServer).GetFilteredPolicy(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/grpc.iam.v1.Iam/GetFilteredPolicy",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(IamServer).GetFilteredPolicy(ctx, req.(*FilteredPolicyRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Iam_GetFilteredNamedPolicy_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(FilteredPolicyRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(IamServer).GetFilteredNamedPolicy(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/grpc.iam.v1.Iam/GetFilteredNamedPolicy",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(IamServer).GetFilteredNamedPolicy(ctx, req.(*FilteredPolicyRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Iam_AddGroupingPolicy_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(PolicyRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(IamServer).AddGroupingPolicy(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/grpc.iam.v1.Iam/AddGroupingPolicy",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(IamServer).AddGroupingPolicy(ctx, req.(*PolicyRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Iam_AddNamedGroupingPolicy_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(PolicyRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(IamServer).AddNamedGroupingPolicy(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/grpc.iam.v1.Iam/AddNamedGroupingPolicy",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(IamServer).AddNamedGroupingPolicy(ctx, req.(*PolicyRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Iam_RemoveGroupingPolicy_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(PolicyRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(IamServer).RemoveGroupingPolicy(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/grpc.iam.v1.Iam/RemoveGroupingPolicy",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(IamServer).RemoveGroupingPolicy(ctx, req.(*PolicyRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Iam_RemoveNamedGroupingPolicy_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(PolicyRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(IamServer).RemoveNamedGroupingPolicy(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/grpc.iam.v1.Iam/RemoveNamedGroupingPolicy",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(IamServer).RemoveNamedGroupingPolicy(ctx, req.(*PolicyRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Iam_RemoveFilteredGroupingPolicy_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(FilteredPolicyRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(IamServer).RemoveFilteredGroupingPolicy(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/grpc.iam.v1.Iam/RemoveFilteredGroupingPolicy",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(IamServer).RemoveFilteredGroupingPolicy(ctx, req.(*FilteredPolicyRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Iam_RemoveFilteredNamedGroupingPolicy_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(FilteredPolicyRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(IamServer).RemoveFilteredNamedGroupingPolicy(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/grpc.iam.v1.Iam/RemoveFilteredNamedGroupingPolicy",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(IamServer).RemoveFilteredNamedGroupingPolicy(ctx, req.(*FilteredPolicyRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Iam_GetGroupingPolicy_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(EmptyRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(IamServer).GetGroupingPolicy(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/grpc.iam.v1.Iam/GetGroupingPolicy",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(IamServer).GetGroupingPolicy(ctx, req.(*EmptyRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Iam_GetNamedGroupingPolicy_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(PolicyRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(IamServer).GetNamedGroupingPolicy(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/grpc.iam.v1.Iam/GetNamedGroupingPolicy",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(IamServer).GetNamedGroupingPolicy(ctx, req.(*PolicyRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Iam_GetFilteredGroupingPolicy_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(FilteredPolicyRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(IamServer).GetFilteredGroupingPolicy(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/grpc.iam.v1.Iam/GetFilteredGroupingPolicy",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(IamServer).GetFilteredGroupingPolicy(ctx, req.(*FilteredPolicyRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Iam_GetFilteredNamedGroupingPolicy_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(FilteredPolicyRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(IamServer).GetFilteredNamedGroupingPolicy(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/grpc.iam.v1.Iam/GetFilteredNamedGroupingPolicy",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(IamServer).GetFilteredNamedGroupingPolicy(ctx, req.(*FilteredPolicyRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Iam_GetAllSubjects_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(EmptyRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(IamServer).GetAllSubjects(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/grpc.iam.v1.Iam/GetAllSubjects",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(IamServer).GetAllSubjects(ctx, req.(*EmptyRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Iam_GetAllNamedSubjects_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(SimpleGetRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(IamServer).GetAllNamedSubjects(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/grpc.iam.v1.Iam/GetAllNamedSubjects",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(IamServer).GetAllNamedSubjects(ctx, req.(*SimpleGetRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Iam_GetAllObjects_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(EmptyRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(IamServer).GetAllObjects(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/grpc.iam.v1.Iam/GetAllObjects",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(IamServer).GetAllObjects(ctx, req.(*EmptyRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Iam_GetAllNamedObjects_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(SimpleGetRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(IamServer).GetAllNamedObjects(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/grpc.iam.v1.Iam/GetAllNamedObjects",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(IamServer).GetAllNamedObjects(ctx, req.(*SimpleGetRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Iam_GetAllActions_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(EmptyRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(IamServer).GetAllActions(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/grpc.iam.v1.Iam/GetAllActions",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(IamServer).GetAllActions(ctx, req.(*EmptyRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Iam_GetAllNamedActions_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(SimpleGetRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(IamServer).GetAllNamedActions(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/grpc.iam.v1.Iam/GetAllNamedActions",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(IamServer).GetAllNamedActions(ctx, req.(*SimpleGetRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Iam_GetAllRoles_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(EmptyRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(IamServer).GetAllRoles(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/grpc.iam.v1.Iam/GetAllRoles",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(IamServer).GetAllRoles(ctx, req.(*EmptyRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Iam_GetAllNamedRoles_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(SimpleGetRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(IamServer).GetAllNamedRoles(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/grpc.iam.v1.Iam/GetAllNamedRoles",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(IamServer).GetAllNamedRoles(ctx, req.(*SimpleGetRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Iam_HasPolicy_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(PolicyRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(IamServer).HasPolicy(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/grpc.iam.v1.Iam/HasPolicy",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(IamServer).HasPolicy(ctx, req.(*PolicyRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Iam_HasNamedPolicy_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(PolicyRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(IamServer).HasNamedPolicy(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/grpc.iam.v1.Iam/HasNamedPolicy",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(IamServer).HasNamedPolicy(ctx, req.(*PolicyRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Iam_HasGroupingPolicy_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(PolicyRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(IamServer).HasGroupingPolicy(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/grpc.iam.v1.Iam/HasGroupingPolicy",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(IamServer).HasGroupingPolicy(ctx, req.(*PolicyRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Iam_HasNamedGroupingPolicy_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(PolicyRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(IamServer).HasNamedGroupingPolicy(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/grpc.iam.v1.Iam/HasNamedGroupingPolicy",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(IamServer).HasNamedGroupingPolicy(ctx, req.(*PolicyRequest))
	}
	return interceptor(ctx, in, info, handler)
}

var _Iam_serviceDesc = grpc.ServiceDesc{
	ServiceName: "grpc.iam.v1.Iam",
	HandlerType: (*IamServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "NewEnforcer",
			Handler:    _Iam_NewEnforcer_Handler,
		},
		{
			MethodName: "NewAdapter",
			Handler:    _Iam_NewAdapter_Handler,
		},
		{
			MethodName: "Enforce",
			Handler:    _Iam_Enforce_Handler,
		},
		{
			MethodName: "LoadPolicy",
			Handler:    _Iam_LoadPolicy_Handler,
		},
		{
			MethodName: "SavePolicy",
			Handler:    _Iam_SavePolicy_Handler,
		},
		{
			MethodName: "AddPolicy",
			Handler:    _Iam_AddPolicy_Handler,
		},
		{
			MethodName: "AddNamedPolicy",
			Handler:    _Iam_AddNamedPolicy_Handler,
		},
		{
			MethodName: "RemovePolicy",
			Handler:    _Iam_RemovePolicy_Handler,
		},
		{
			MethodName: "RemoveNamedPolicy",
			Handler:    _Iam_RemoveNamedPolicy_Handler,
		},
		{
			MethodName: "RemoveFilteredPolicy",
			Handler:    _Iam_RemoveFilteredPolicy_Handler,
		},
		{
			MethodName: "RemoveFilteredNamedPolicy",
			Handler:    _Iam_RemoveFilteredNamedPolicy_Handler,
		},
		{
			MethodName: "GetPolicy",
			Handler:    _Iam_GetPolicy_Handler,
		},
		{
			MethodName: "GetNamedPolicy",
			Handler:    _Iam_GetNamedPolicy_Handler,
		},
		{
			MethodName: "GetFilteredPolicy",
			Handler:    _Iam_GetFilteredPolicy_Handler,
		},
		{
			MethodName: "GetFilteredNamedPolicy",
			Handler:    _Iam_GetFilteredNamedPolicy_Handler,
		},
		{
			MethodName: "AddGroupingPolicy",
			Handler:    _Iam_AddGroupingPolicy_Handler,
		},
		{
			MethodName: "AddNamedGroupingPolicy",
			Handler:    _Iam_AddNamedGroupingPolicy_Handler,
		},
		{
			MethodName: "RemoveGroupingPolicy",
			Handler:    _Iam_RemoveGroupingPolicy_Handler,
		},
		{
			MethodName: "RemoveNamedGroupingPolicy",
			Handler:    _Iam_RemoveNamedGroupingPolicy_Handler,
		},
		{
			MethodName: "RemoveFilteredGroupingPolicy",
			Handler:    _Iam_RemoveFilteredGroupingPolicy_Handler,
		},
		{
			MethodName: "RemoveFilteredNamedGroupingPolicy",
			Handler:    _Iam_RemoveFilteredNamedGroupingPolicy_Handler,
		},
		{
			MethodName: "GetGroupingPolicy",
			Handler:    _Iam_GetGroupingPolicy_Handler,
		},
		{
			MethodName: "GetNamedGroupingPolicy",
			Handler:    _Iam_GetNamedGroupingPolicy_Handler,
		},
		{
			MethodName: "GetFilteredGroupingPolicy",
			Handler:    _Iam_GetFilteredGroupingPolicy_Handler,
		},
		{
			MethodName: "GetFilteredNamedGroupingPolicy",
			Handler:    _Iam_GetFilteredNamedGroupingPolicy_Handler,
		},
		{
			MethodName: "GetAllSubjects",
			Handler:    _Iam_GetAllSubjects_Handler,
		},
		{
			MethodName: "GetAllNamedSubjects",
			Handler:    _Iam_GetAllNamedSubjects_Handler,
		},
		{
			MethodName: "GetAllObjects",
			Handler:    _Iam_GetAllObjects_Handler,
		},
		{
			MethodName: "GetAllNamedObjects",
			Handler:    _Iam_GetAllNamedObjects_Handler,
		},
		{
			MethodName: "GetAllActions",
			Handler:    _Iam_GetAllActions_Handler,
		},
		{
			MethodName: "GetAllNamedActions",
			Handler:    _Iam_GetAllNamedActions_Handler,
		},
		{
			MethodName: "GetAllRoles",
			Handler:    _Iam_GetAllRoles_Handler,
		},
		{
			MethodName: "GetAllNamedRoles",
			Handler:    _Iam_GetAllNamedRoles_Handler,
		},
		{
			MethodName: "HasPolicy",
			Handler:    _Iam_HasPolicy_Handler,
		},
		{
			MethodName: "HasNamedPolicy",
			Handler:    _Iam_HasNamedPolicy_Handler,
		},
		{
			MethodName: "HasGroupingPolicy",
			Handler:    _Iam_HasGroupingPolicy_Handler,
		},
		{
			MethodName: "HasNamedGroupingPolicy",
			Handler:    _Iam_HasNamedGroupingPolicy_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "iam.proto",
}
